package com.ssj.service.kmt.exercisesys.request;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Pattern;

/**
 * @author yrf
 * @time 2020/4/26 11:41
 */
public class AnswerProofreadExerciseBookListReq extends PageReq {

    private static final long serialVersionUID = -2079953582229826129L;

    @ApiModelProperty(name = "subject", value = "科目", required = true)
    private String subject;

    @ApiModelProperty(name = "grade", value = "年级", required = true)
    private String grade;

    @ApiModelProperty(name = "bookName", value = "练习册名字", required = true)
    private String bookName;

    @ApiModelProperty(name = "proofreadDate", value = "校对为答案错误的日期（如：2020-05-11）", required = true)
    @Pattern(regexp = "[0-9]{4}-[0-9]{2}-[0-9]{2}|.{0}", message = "日期格式不正确，正确的日期格式为：yyyy-MM-dd")
    private String proofreadDate;

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getProofreadDate() {
        return proofreadDate;
    }

    public void setProofreadDate(String proofreadDate) {
        this.proofreadDate = proofreadDate;
    }
}
